Page MenuHomePhabricator

Unfolding of revision slider accordion widget not possible from keyboard only
Closed, ResolvedPublic

Description

User Story::
As a user having problems with mouse use, I want to open revision slider.

Context of use:
I assume the user would use the keyboard, if not via accesskeys via TABbing

Current Problems:
When the header bar of the slider accordion widget is focused using tabbing, it still can’t be opened by the standard-toggle via space or enter key

Possible Solution:
On pressing Space or Enter while focusing the header bar the revision slider should open. After opening it once via mouse, the open/closing via keyboard works! So the event trigger for this probably needs to be added to the lazy load JS.

Event Timeline

Restricted Application added a project: archived--TCB-Team. · View Herald TranscriptJul 10 2018, 11:42 AM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Lea_WMDE triaged this task as Medium priority.Aug 2 2018, 12:44 PM
Gopavasanth moved this task from Sprint Backlog to Doing on the Season of RevisionSlider board.

Change 452283 had a related patch set uploaded (by Gopavasanth; owner: Gopavasanth):
[mediawiki/extensions/RevisionSlider@master] Added keypress() to mw-revslider-toggle-button

https://gerrit.wikimedia.org/r/452283

I've left a couple of comments in Gerrit. I might be doing something crazy, but without Gopa's changes, the revision slider widget when in focus, and enter key pressed expands/collapses it accordingly.

Change 453655 had a related patch set uploaded (by Jayprakash12345; owner: jenkins-bot):
[mediawiki/extensions/RevisionSlider@master] Added keypress() to mw-revslider-toggle-button

https://gerrit.wikimedia.org/r/453655

Change 453655 abandoned by Jayprakash12345:
Added keypress() to mw-revslider-toggle-button

Reason:
Mistakenly push.

https://gerrit.wikimedia.org/r/453655

Change 452283 merged by jenkins-bot:
[mediawiki/extensions/RevisionSlider@master] Added keypress() to mw-revslider-toggle-button

https://gerrit.wikimedia.org/r/452283

Gopavasanth closed this task as Resolved.Aug 30 2018, 3:57 PM
Gopavasanth removed a project: Patch-For-Review.
Lea_WMDE moved this task from Demo to Done on the Season of RevisionSlider board.Sep 5 2018, 3:54 PM